| Package
| Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD DETAIL: FIELD | CONSTR | METHOD

## Class InstVarDecl

    java.lang.Object
      |
      +--FieldDecl
            |
            +--InstVarDecl

public class InstVarDecl
extends FieldDecl

Field Summary
`Type` | `type`

Fields inherited from class FieldDecl
`declid`

Constructor Summary
`InstVarDecl()`

Method Summary
`void` | `codegen(ClassFile classfile, de.dhbwstuttgart.typeinference.Menge paralist)`
`java.lang.String` | `get_Type()`
`void` | `set_Type(Type type)`

Methods inherited from class FieldDecl
`get_Name, getDeclIdMenge, set_DeclId, setDeclIdMenge`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### type

    public Type type

Constructor Detail

### InstVarDecl

    public InstVarDecl()

Method Detail

### set_Type

    public void set_Type(Type type)

### get_Type

    public java.lang.String get_Type()

  Specified by:
    `get_Type` in class `FieldDecl`

### codegen

    public void codegen(ClassFile classfile,
                        de.dhbwstuttgart.typeinference.Menge paralist)
                 throws JVMCodeException

  Specified by:
    `codegen` in class `FieldDecl`
    `JVMCodeException`

| Package
| Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD DETAIL: FIELD | CONSTR | METHOD